package com.zhongshu.card.server.core.dao.projectAbout;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.domain.projectAbout.ProjectWeChatInfo;

import java.util.List;

/**
 * 项目的微信设置
 */
public interface ProjectWeChatInfoDao extends MongoDao<ProjectWeChatInfo> {

    ProjectWeChatInfo findTopById(String id);

    ProjectWeChatInfo findTopByProjectOid(String projectOid);

    ProjectWeChatInfo findTopByAppId(String appId);

    ProjectWeChatInfo findTopByAppIdOrderByUpdateTimeDesc(String appId);

    List<ProjectWeChatInfo> findByAppIdOrderByUpdateTimeDesc(String appId);
}
